/**
 * <copyright>
 * </copyright>
 *
 * $Id: SQLStructuredTypeValidator.java,v 1.1 2008-04-01 09:35:22 vmahe Exp $
 */
package orgomg.cwm.resource.relational.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.resource.relational.Column;
import orgomg.cwm.resource.relational.NamedColumnSet;

/**
 * A sample validator interface for {@link orgomg.cwm.resource.relational.SQLStructuredType}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface SQLStructuredTypeValidator {
	boolean validate();

	boolean validateColumnSet(EList<NamedColumnSet> value);
	boolean validateReferencingColumn(EList<Column> value);
}
